Bug 657133

Summary: Can't get VGA output on Thinkpad Z60m with Radeon Mobility X600
Product: [Fedora] Fedora Reporter: Chris Adams <linux>
Component: kernelAssignee: Dave Airlie <airlied>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 14CC: dougsland, gansalmon, itamar, jonathan, kernel-maint, kmcmartin, madhu.chinakonda
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-22 21:29:32 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
full boot log none

Description Chris Adams 2010-11-25 01:57:16 UTC
I have a Thinkpad Z60m with ATI Radeon Mobility X600 graphics.  When I connect a VGA cable to a monitor, I can see it (using the GNOME monitors tool and xranr), but I can't get any output.  The kernel starts logging:

[12523.318078] [drm] 1: conflicting encoders switching off VGA-1
[12523.318082] [drm] in favor of DVI-I-1
[12523.411543] [drm] 1: conflicting encoders switching off DVI-I-1
[12523.411547] [drm] in favor of VGA-1

over and over again.  I thought it might be kernel modesetting related, so I tried booting with nomodeset; that resulted in X segfaulting (according to /var/log/Xorg.0.log).

Comment 1 Dave Airlie 2010-12-10 00:38:32 UTC
can you attach a full dmesg from a boot with this card in?

Comment 2 Chris Adams 2010-12-10 01:11:40 UTC
Created attachment 467883 [details]
full boot log

Comment 3 Chris Adams 2010-12-10 01:14:56 UTC
FYI: it turns out I'm getting a new notebook in about two weeks (Merry Christmas to me!).  I'd like to help debug this in that time if at all possible (in case it affects others), but I won't be able to look at or test anything after that (somebody else is getting this notebook).  If you think it might be an isolated case and want to spend time working on other stuff, I understand that too.